Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model
Class User

    java.lang.Object
      bmserv.model.User

    public class User

extends java.lang.Object

Bean JAXB qui implementent le modele de User.

Author:
  ndelafor

Constructor Summary
`User()`
`User(java.lang.String login, java.lang.String lastname, java.lang.String firstname)`

Method Summary
`static java.lang.String` | `createUserId(java.lang.String login)`
`java.lang.String` | `getFirstname()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLastName()`
`java.lang.String` | `getLogin()`
`void` | `setFirstName(java.lang.String firstname)`
`void` | `setLastName(java.lang.String lastname)`
`void` | `setLogin(java.lang.String login)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User

    public User()

### User

    public User(java.lang.String login,
                java.lang.String lastname,
                java.lang.String firstname)
         throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

Method Detail

### getId

    public java.lang.String getId()

### getLastName

    public java.lang.String getLastName()

### getFirstname

    public java.lang.String getFirstname()

### getLogin

    public java.lang.String getLogin()

### setLogin

    public void setLogin(java.lang.String login)

### setLastName

    public void setLastName(java.lang.String lastname)

### setFirstName

    public void setFirstName(java.lang.String firstname)

### createUserId

    public static java.lang.String createUserId(java.lang.String login)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD